Mangools/API

Get details for a set of keywords

This is one of the most powerful endpoints in our API. You can import your own keyword set with up to 700 keywords in one request.

With this endpoint, you will get the following details for each keyword:

  • Cached Keyword SEO difficulty (rank)
  • CPC, PPC
  • Search volume history
  • Average search volume (last 12 months - as sv attribute)
  • Organic SERP results and CTRs

Limits

Each request is counted towards to your Keyword lookups limit. Lookup is not counted if you make the identical request within 24 hours.

Locations

You can specify a location_id to get localized search volumes and SERPs.

To get a list of supported locations, please refer to this article.

How to send keywords

To get data about set of keywords send them in the request body. Don't forget to include location and language ids. See the following example of request body:

{
   "keywords": [
      "seo agency",
      "seo",
      "seo specialist"
   ],
   "location_id": 21167,
   "language_id": 1000
 }
POST
/kwfinder/keyword-imports

Authorization

ApiKeyAuth
x-access-token<token>

API token issued for your Mangools account, sent as an API key in the x-access-token HTTP header. This is NOT a standard RFC 6750 Authorization: Bearer <token> header. Auto-generated clients should be configured to send the token in x-access-token accordingly.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.mangools.com/v3/kwfinder/keyword-imports" \  -H "Content-Type: application/json" \  -d '{    "keywords": [      "seo agency",      "seo",      "seo specialist"    ],    "location_id": 21167,    "language_id": 1000  }'
{
  "language": {
    "code": "en",
    "label": "English",
    "_id": 1000
  },
  "location": {
    "_id": 1000,
    "name": "string",
    "country_code": "string",
    "canonical_name": "string",
    "code": "us",
    "label": "New York,United States",
    "google_domain": "string",
    "type": 0,
    "tld": "us",
    "active": true,
    "created_at": 1588773715,
    "parent_id": 2840,
    "status": "Active",
    "target_type": "State"
  },
  "keywords": [
    {
      "_id": "11e2a4ff072b3f6394dfb602dcea80c3",
      "kw": "seo agency",
      "lid": 21167,
      "sv": 21167,
      "svs": 21167,
      "cpc": 21167,
      "ppc": 21167,
      "svn": 530,
      "msv": [
        [
          2015,
          8,
          590
        ]
      ],
      "ts": 1617710810,
      "seo": null,
      "seo_ts": null
    }
  ],
  "countKeywordsBeforeLimit": 500
}
{
  "error": {
    "type": "AuthError",
    "message": "Invalid API Key"
  }
}
{
  "error": {
    "type": "ValidationError",
    "message": "Your request is invalid",
    "errors": [
      "\"kw\" is required"
    ]
  }
}
{
  "error": {
    "type": "RateLimit",
    "message": "Too many import requests, please slow down. retry_after is in seconds.",
    "retry_after": 30
  }
}